Renew an expired access token
Renew an expired access token. Applicable only for ALL and CUSTOM token types
- application/json
Request Body
- accessToken string required
- refreshToken string required
- 200
- 400
- 500
OK
- application/json
- Schema
- Example (from schema)
Schema
error object
errorMessage stringerrorCode int32- accessTokenId int32
- tokenName string
- userId int32
- tokenType string
Possible values: [
DEFAULT,MS_SCIM,ALL,CUSTOM,OneTouch,CrowdStrike,NetAppRansomwareResilience]Default value:
ALL(0)DEFAULT is ALL(2), (1) MS_SCIM is for Azure SCIM operations,(2)ALL has access to all APIs while in (3)CUSTOM, apiEndpoints can be defined and access scope is limited to those endpoints, (6)CrowdStrike is for CrowdStrike integration operations, (7)NetAppRansomwareResilience is for NetApp Ransomware Resilience operations.
- tokenExpiryTimestamp int32
- accessToken string
accesstoken and refresh token should be saved. it won't be shown again
- refreshToken string
accesstoken and refresh token should be saved. it won't be shown agai .Applicable only for ALL and CUSTOM token types
- refreshTokenExpiryTimestamp int32
Applicable only for ALL and CUSTOM token types
- renewableUntilTimestamp int32
Applicable only for ALL and CUSTOM token types
{
"error": {
"errorMessage": "string",
"errorCode": 0
},
"accessTokenId": 0,
"tokenName": "string",
"userId": 0,
"tokenType": "ALL",
"tokenExpiryTimestamp": 0,
"accessToken": "string",
"refreshToken": "string",
"refreshTokenExpiryTimestamp": 0,
"renewableUntilTimestamp": 0
}
Bad Request
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Internal Server Error
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}